extends ../dashboard-layout

include ../mixins/paginacao

block page-header
    h1.h2 Notícias

block main
    .card.text-white.bg-dark
        .card-header(id="headingOne")
            h5.mb-0
                button.btn.btn-link.col.text-left(data-toggle="collapse", data-target="#collapseOne", aria-expanded="true",
                aria-controls="collapseOne")
                    i.fa.fa-search
                    |  Filtrar notícias
        #collapseOne.collapse.show(aria-labelledby="headingOne", data-parent="#accordion")
            .card-body
                form(name="formBusca", onsubmit="return false")
                    input(type="hidden", value=paginacao.skip, name="skip")
                    input(type="hidden", value=paginacao.count, name="count")
                    .form-row
                        .form-group.col-4
                            label(for="buscaTextual") Busca textual
                            input.form-control.form-control-sm#buscaTextual(name="key", type="text", value=parametros.key)

                        .form-group.col-4#sandbox-container
                            label(for="inputPeriodoInicio") Período
                            #datepicker.input-daterange.input-group
                                input.input-sm.form-control.form-control-sm#inputPeriodoInicio(type='text',
                                name='periodoInicio', value=moment(parametros.periodoInicio).format('DD/MM/YYYY'))
                                input.input-sm.form-control.form-control-sm#inputPeriodoFim(type='text',
                                name='periodoFim', value=moment(parametros.periodoFim).format('DD/MM/YYYY'))

                        .form-group.col
                            label(for="selectStatus") Status
                            select.form-control.form-control-sm#selectStatus(name='status')
                                option(selected=true, value="") Selecione um status
                                each status in statuses
                                    option(selected=parametros.status == status, value=status)=status.toUpperCase()

                    .form-row
                        .form-group.col
                            label(for="selectSite") Sites
                            select.form-control.form-control-sm#selectSite(name='site')
                                option(selected=true, value="") Selecione um site
                                each site in sites
                                    option(selected=parametros.site == site.id, value=site.id)=site.titulo

                        .form-group.col
                            label(for="selectRegiao") Região
                            select.form-control.form-control-sm#selectRegiao(name='regiao', onchange="resetPagination()")
                                option(selected=true, value="") Selecione uma região
                                each regiao in Object.keys(estados)
                                    option(selected=parametros.regiao === regiao, value=regiao)=regiao

                        if(parametros.regiao && estados[parametros.regiao].length > 0)
                            .form-group.col
                                label(for="selectEstado") Estado
                                select.form-control.form-control-sm#selectEstado(name='estado')
                                    option(selected=true, value="") Selecione um estado
                                        each estado in estados[parametros.regiao]
                                            option(selected=parametros.estado === estado, value=estado)=estado

                    hr
                    .form-row
                        .form-group.col-4
                            select.form-control.form-control-sm#selectSort(name='sort', onclick="resetPagination()")
                                option(selected=true, value="-createdAt") Mais recentes primeiro
                                option(selected=parametros.sort === "createdAt", value="createdAt") Mais antigos primeiro
                                option(selected=parametros.sort === "titulo", value="titulo") Títulos A-Z
                                option(selected=parametros.sort === "-titulo", value="-titulo") Títulos Z-A
                                if (parametros.key && parametros.key.length > 0)
                                    option(selected=parametros.sort === "_relevance", value="_relevance") Mais relevantes primeiro

                        .form-group.col-4
                            select.form-control.form-control-sm#selectLimit(name='limit', onclick="resetPagination()")
                                option(selected=true, value="10") Mostrar 10 notícias
                                option(selected=paginacao.limit === 25, value="25") Mostrar 25 notícias
                                option(selected=paginacao.limit === 50, value="50") Mostrar 50 notícias
                                option(selected=paginacao.limit === 100, value="100") Mostrar 100 notícias

                        .form-group.col-4.text-right
                            a.btn.btn-light.btn-sm(href="/admin/noticias")
                                i.fa.fa-trash
                                |  Limpar
                            | &nbsp;

                            button.btn.btn-primary.btn-sm(type='submit', onclick="resetPagination()")
                                i.fa.fa-check
                                |  Buscar
    hr

    if (noticias && noticias.length > 0)
        .row
            .btn-group.col
                button.btn.btn-danger.btn-sm(onclick="excluirTodos('input[name=checkNoticia]:checked', '/admin/noticias/remove', '" + urlRedirect + "')")
                    | Excluir Selecionados

                a.btn.btn-info.btn-sm(href="/admin/noticias/indexarBusca?redirect=" + urlRedirect)
                    | Indexar Busca

                a.btn.btn-primary.btn-sm(href="/admin/noticias/indexarNoticias?redirect=" + urlRedirect)
                    | Indexar Notícias
        hr
        .table-responsive
            table.table.table-striped.table-sm.table-hover
                thead.thead-dark
                    tr
                        th(scope="col", width="5%")
                            span="Noticias: " + paginacao.count
                            =paginacao.count === 1 ? " encontrada" : " encontradas"
                            label.pull-right.btn-link(style="cursor:pointer")
                                input.sr-only(type="checkbox", name="checkTodosNoticias",
                                onchange="toggleAllCheckbox('input[name=checkNoticia]', this.checked)")
                                | Marcar/Desmarcar todos
                tbody
                    each noticia in noticias
                        tr(onclick="toggleCheckbox('#checkNoticia" + noticia._id + "')")
                            td(colspan="2")
                                .row
                                    if (noticia.imagem)
                                        .text-center.col-2
                                            image(src='/imagem/' + noticia.id, style="width: 100%")
                                    .col
                                        input.sr-only(type="checkbox", name="checkNoticia", value=noticia._id, id="checkNoticia" + noticia._id)
                                        a(href="/admin/noticias/view/" + noticia._id +"?redirect="+encodeURIComponent(urlRedirect), title="Visualizar Notícia")
                                            strong=noticia.titulo
                                            =" ("+noticia.status.toUpperCase()+")"
                                        br
                                        span.text-muted=noticia.subtitulo
                                        br
                                        small.text-muted=noticia.site.titulo + " - "
                                            =noticia.regiaoFormatada() + " - "
                                            =moment(noticia.publicacao).format('DD/MM/YYYY HH[h]mm')
                                if (noticia.status == 'TRASHED')
                                    .row
                                        .col
                                            ul
                                                each log in noticia.publisherLog
                                                    li=log

        +paginacao(paginacao, "document.formBusca")
    else
        p.text-center.text-muted Nenhuma notícia atende os parâmetros de busca solicitados.



block scripts
    script(src="/js/admin/crud-functions.js")
    script.
        $('#sandbox-container .input-daterange').datepicker({
            language: "pt-BR",
            orientation: "bottom auto",
            todayBtn: "linked",
            todayHighlight: true
        });


